Visualizza post

Questa sezione ti permette di visualizzare tutti i post inviati da questo utente. N.B: puoi vedere solo i post relativi alle aree dove hai l'accesso.


Topics - dinolib

Pagine: [1] 2 3 ... 11
1
Installazione e Live CD / Installazione su SSD con GPT
« il: 13 Febbraio 2017 ore 08:31 »
Salve gente.

Sabato ho cercato di installare Chakra (nuova ISO RC6) su un SSD.

Ho seguito la guida per partizionare https://chakralinux.org/wiki/index.php?title=Setting_up_with_GPT-Partition_Table
ed ho lanciato la ISO con boot chiavetta.

Ho avuto alcuni problemi:
- volevo mettere /var su disco formattato con reiser ma per un bug calamares sbaglia a compilare fstab e il sistema si impalla (anche correggendolo risulta /var vuoto e non funziona nulla
- anche ignorando il problema di /var (ho visto che posso usare tranquillamente ext4) non sono riuscito a usare correttamente il partizionamento manuale:
+ non capisco dove dichiarare il disco di boot (sembra scelga lui sda di default)
+ non gli piace il flag di boot che ho scelto per la partizione come indicato dalla guida
+ chiedo lumi su come partizionare e allineare il disco SSD senza partizione di boot. Mi basta root e home (stamattina provo questa soluzione)

Ultima cosa: in un tentativo ho lasciato fare a calamares (unica partizione su tutto il disco) ed ha correttamente creato la partizione di boot e mi ha anche chiesto quale fosse il disco di boot (avevo scelto l'SSD inizialmente).

2
Memorie di massa / Consiglio SSD
« il: 25 Gennaio 2017 ore 09:15 »
Salve gente.

Come da oggetto: vorrei affiancare sul mio desktop di lavoro un disco SSD, come ho fatto per il portatile a suo tempo (con grande soddisfazione!).

Il problema è che sto invecchiando (!) e da un po' non mi aggiorno su standard PCI/SATA e quant'altro...

Premesso che la mi scheda è la seguente: http://it.gigabyte.com/products/page/mb/ga-z87-hd3rev_10/specs/
Cosa consigliate?

Domensione 256GB
Spesa max 150€

Ho visto i samsung EVO. So che vanno bene, ma vorrei capire se ci sono problemi con il mio hardware. Posso montare un 2,5" o ho bisogno di 3,5"?

Che ne dite delle interfacce PCIe? La mia scheda dovrebbe supportarle, giusto?
I dischi venduti "nudi" si infilano direttamente nei connettori SATA?

 :beer: a chi mi consiglierà!
Grazie gente

3
Pacchetti / [risolto] errore installazione firefox 50.1.0-1
« il: 14 Dicembre 2016 ore 08:39 »
Stranamente stamattina mi è sparito firefox...
Provando a reinstallare becco questo errore:
Codice: [Seleziona]
sudo pacman -S firefox-kde
attenzione: firefox-kde-50.1.0-1 è aggiornato ma sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...

Pacchetti (1) firefox-kde-50.1.0-1

Dimensione totale dei pacchetti da installare:  99,99 MiB
Dimensione netta dell'aggiornamento:             0,00 MiB

:: Vuoi procedere con l'installazione? [S/n] s
(1/1) verifica delle chiavi presenti nel portachiavi                                             [#########################################################] 100%
(1/1) verifica dell'integrità dei pacchetti                                                      [#########################################################] 100%
(1/1) caricamento dei file dei pacchetti                                                         [#########################################################] 100%
(1/1) controllo dei conflitti in corso                                                           [#########################################################] 100%
(1/1) controllo dello spazio disponibile sul disco                                               [#########################################################] 100%
(1/1) reinstallazione firefox-kde                                                                [#########################################################] 100%
errore: impossibile estrarre usr/lib/firefox/libxul.so (Lzma library error:  No progress is possible)
errore: si è verificato un errore durante l'aggiornamento di firefox-kde
errore: impossibile eseguire l'operazione
errore: impossibile eseguire l'operazione richiesta (l'operazione è stata annullata)
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.

4
Chakra Testing / app non rispondono dopo standby
« il: 08 Novembre 2016 ore 09:02 »
avevo accennato qualcosa nel topic OT, sembrava risolto, ora ho capito cosa accade ma non come...  >:(

Dopo gli ultimi aggiornamenti, succede che dopo lo standby (o meglio io ho impostato solo il risparmio energetico dello schermo e spegnimento dopo 10 minuti) non rispondono più le seguenti applicazioni:
- opera
- chromium
- plasma

Se ci clicco non accade niente. Se chiedo di chiudere le app, dopo un po' appare il messaggio: l'applicazione non rispondere, vuoi forzare la chiusura?
Ho lanciato da linea di comando, ma non ci sono messaggi di alcun tipo.

Sembra che qualcosa a livello di qt si rompa e non dispacci correttamente gli eventi. Ma non capisco perchè dolphin, amule, thunderbird continuino ad andare!

Mi accade solo sul PC di lavoro. Il portatile ancora non mi ha fatto scherzi del genere.
Qui ho un haswell puro intel. Niente problemi al momento.

Riprovo con wayland se lo fa.

5
Dopo l'ultimo aggiornamento di CUPS in testing (argh Franz, mi sa che meglio se sposti il thread, mi sono accorto tardi dell'errore), ottengo il seguente errore:

Codice: [Seleziona]
# systemctl status org.cups.cupsd
● org.cups.cupsd.service - CUPS Scheduler
   Loaded: loaded (/usr/lib/systemd/system/org.cups.cupsd.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since mer 2016-11-02 10:09:45 CET; 5min ago
     Docs: man:cupsd(8)
  Process: 5082 ExecStart=/usr/bin/cupsd -l (code=exited, status=1/FAILURE)
 Main PID: 5082 (code=exited, status=1/FAILURE)

nov 02 10:09:45 chakra-pc systemd[1]: Started CUPS Scheduler.
nov 02 10:09:45 chakra-pc systemd[1]: org.cups.cupsd.service: Main process exited, code=exited, status=1/FAILURE
nov 02 10:09:45 chakra-pc systemd[1]: org.cups.cupsd.service: Unit entered failed state.
nov 02 10:09:45 chakra-pc systemd[1]: org.cups.cupsd.service: Failed with result 'exit-code'.

ho cercato anche sul forum di arch, ma non trovo nessun caso simile.
Comunque ho anche ripristinato cupsd.conf.default per sicurezza, ma niente.

EDIT: spazio sui dischi ce n'è

6
Chakra Testing / flash player chromium e opera
« il: 31 Ottobre 2016 ore 13:30 »
da qualche giorno in testing non funziona più flash player su opera e su chromium. Firefox tutto ok (ma mi sembra utilizza un'altra libreria).

I pacchetti relativi a flash e pepper sono tutti installati.
Su opera il messaggio è il seguente:
"adobe flash player non è in corso di validità. Aggiorna flash".

qualche idea?

7
Salve gente, posto qui sperando sia ok.

Da un po' non provavo benchmark.
Oggi mi ritrovo in una strana situazione.

Lancio glxspheres e glxgears da scheda intel e ottengo valori di FPS e Mbit/s molto maggiori rispetto a usare optirun o primusrun!! E non di poco...

Sto ancora brancolando con vari comandi trovato googlando, ma i risultati sono circa gli stessi. Intanto scarico unigine-heaven per essere più sicuro.
Voi come siete messi?

Codice: [Seleziona]
vblank_mode=0 glxspheres         
Polygons in scene: 62464
ATTENTION: default value of option vblank_mode overridden by environment.
ATTENTION: default value of option vblank_mode overridden by environment.
Visual ID of window: 0xb4
Context is Direct
OpenGL Renderer: Mesa DRI Intel(R) Haswell Mobile
353.729915 frames/sec - 394.762585 Mpixels/sec
280.938545 frames/sec - 313.527416 Mpixels/sec

 vblank_mode=0 primusrun glxspheres
Polygons in scene: 62464
ATTENTION: default value of option vblank_mode overridden by environment.
ATTENTION: default value of option vblank_mode overridden by environment.
Visual ID of window: 0xb4
Context is Direct
OpenGL Renderer: GeForce 840M/PCIe/SSE2
ATTENTION: default value of option vblank_mode overridden by environment.
ATTENTION: default value of option vblank_mode overridden by environment.
91.667070 frames/sec - 102.300450 Mpixels/sec

 VGL_PROFILE=1 optirun glxspheres
Polygons in scene: 62464
Visual ID of window: 0x20
Context is Direct
OpenGL Renderer: GeForce 840M/PCIe/SSE2
Readback    -   93.96 Mpixels/sec-   84.19 fps
78.321977 frames/sec - 87.407326 Mpixels/sec
Blit        -  694.51 Mpixels/sec-  622.32 fps
Total       -   87.47 Mpixels/sec-   78.38 fps
Readback    -   94.67 Mpixels/sec-   84.83 fps
78.098161 frames/sec - 87.157547 Mpixels/sec
Blit        -  684.52 Mpixels/sec-  613.37 fps
Total       -   87.16 Mpixels/sec-   78.10 fps
Readback    -   94.35 Mpixels/sec-   84.54 fps


 ??? ??? ???

8
Connessioni e Reti / Server VPN
« il: 12 Settembre 2016 ore 08:59 »
Salve giovani.

Visto che ho finalmente una banda decente, vorrei creare una rete VPN da condividere con amici oltre i confini nazionali (nasce dal fatto che mio fratello paga sky e non riesce ad usare sky go all'estero).

Domanda: prima di avventurarmi nei meandri dei wiki di openVPN e simili, qualcuno di voi ha esperienza di VPN?
skygo all'estero? Consigli, problemi, soluzioni sono ben accetti!  ;D

Il client è win.

9
Salve gente.
Ho descritto in dettaglio il problema qui: https://chakraos.org/forum/viewtopic.php?id=14745

Mi rivolgo a voi sopratutto per un consiglio su fstab e parametri di mount.

Ho l'impressione che systemd sovrascriva i parametri che ho impostato in fstab, ma non riesco a leggere l'output di mount...

fstab:
Codice: [Seleziona]
UUID=44e326c8-eeab-454d-826c-e19e281c1d7c /media/dati ext4 defaults,x-systemd.automount,data=writeback,noatime,nodiratime 0 0

mount:
Codice: [Seleziona]
systemd-1 on /media/dati2 type autofs (rw,relatime,fd=22,pgrp=1,timeout=0,minproto=5,maxproto=5,direct)
/dev/sdc2 on /media/dati2 type ext4 (rw,noatime,data=ordered)

writeback a parte che ho aggiunto dopo l'ultimo mount, come mai mount mi presenta due righe e systemd dice autofs? Non è che mi sovrascrive le impostazioni? dovrei togliere l'automount di systemd?

10
PKGBUILD / Openshot 2.0.6 errore python
« il: 06 Aprile 2016 ore 07:05 »
salve gente,

sto preparando il PKGBUILD per la beta di openshot. Lo trovate con le debite correzioni delle dipendenze qui: https://aur.archlinux.org/packages/openshot-qt

Compilato e installato (cosa che invece non riesco a fare con la 2.0.7, ma è un'altra storia, forse un bug nello script di installazione).

All'avvio però ho un errore per uno script di python. Qualcuno ci capisce qualcosa?

Codice: [Seleziona]
python3  /usr/bin/openshot-qt
Loaded modules from installed directory: /usr/lib/python3.5/site-packages/openshot_qt
      launch:INFO ------------------------------------------------
      launch:INFO    OpenShot (version 2.0.6)
      launch:INFO ------------------------------------------------
         app:INFO openshot-qt version: 2.0.6
         app:INFO libopenshot version: 0.0.6
         app:INFO platform: Linux-4.2.6-1-CHAKRA-x86_64-with-glibc2.3.4
         app:INFO processor:
         app:INFO machine: x86_64
         app:INFO python version: 3.5.1
         app:INFO qt5 version: 5.6.0
         app:INFO pyqt5 version: 5.5.1
    language:INFO Qt Detected Languages: ['it-IT']
    language:INFO LANG Environment Variable: it_IT.UTF-8
    language:INFO LOCALE Environment Variable: it_IT
    language:INFO Attempting to load qt_it_IT.UTF-8 in '/usr/share/qt5/translations'
    language:INFO Successfully loaded qt_it_IT.UTF-8 in '/usr/share/qt5/translations'
    language:INFO Attempting to load it_IT.UTF-8/LC_MESSAGES/OpenShot in '/usr/lib/python3.5/site-packages/openshot_qt/locale'
    language:INFO Attempting to load it/LC_MESSAGES/OpenShot in '/usr/lib/python3.5/site-packages/openshot_qt/locale'
    language:INFO Successfully loaded it/LC_MESSAGES/OpenShot in '/usr/lib/python3.5/site-packages/openshot_qt/locale'
    language:INFO Exiting translation system (since we successfully loaded: it_IT.UTF-8)
project_data:INFO Setting default profile to HDV 720 24p
      logger:ERROR Traceback (most recent call last):
      logger:ERROR   File "/usr/bin/openshot-qt", line 9, in <module>
      logger:ERROR load_entry_point('openshot-qt==2.0.6', 'gui_scripts', 'openshot-qt')()
      logger:ERROR   File "/usr/lib/python3.5/site-packages/openshot_qt/launch.py", line 70, in main
      logger:ERROR app = OpenShotApp(sys.argv)
      logger:ERROR   File "/usr/lib/python3.5/site-packages/openshot_qt/classes/app.py", line 104, in __init__
      logger:ERROR import classes.metrics
      logger:ERROR   File "/usr/lib/python3.5/site-packages/openshot_qt/classes/metrics.py", line 28, in <module>
      logger:ERROR import httplib2
      logger:ERROR   File "/usr/lib/python3.5/site-packages/httplib2/__init__.py", line 912
      logger:ERROR print "connect: (%s, %s) ************" % (self.host, self.port)
      logger:ERROR ^
      logger:ERROR SyntaxError
      logger:ERROR :
      logger:ERROR invalid syntax

Codice: [Seleziona]
cat /usr/bin/openshot-qt
#!/usr/bin/python3
# EASY-INSTALL-ENTRY-SCRIPT: 'openshot-qt==2.0.6','gui_scripts','openshot-qt'
__requires__ = 'openshot-qt==2.0.6'
import sys
from pkg_resources import load_entry_point

if __name__ == '__main__':
    sys.exit(
        load_entry_point('openshot-qt==2.0.6', 'gui_scripts', 'openshot-qt')()
    )

Codice: [Seleziona]
pkgname=openshot-qt
pkgver=2.0.6
pkgrel=1
pkgdesc="an open-source, non-linear, next gen video editor, based on libopenshot."
arch=('any')
url="http://www.openshotvideo.com/"
license=('GPL')
conflicts=('openshot' 'openshot-bzr')
depends=('python3' 'python3-pyqt5' 'desktop-file-utils' 'shared-mime-info' 'libopenshot' 'qt5-webkit' 'python3-httplib2')
source=(https://launchpad.net/openshot/2.0/$pkgver/+download/$pkgname-$pkgver.tar.gz)
md5sums=(0faab6cc9229565f083cf9cc554d3d47)

package() {
  cd "$srcdir/$pkgname-$pkgver"
  #python3 "$srcdir/"setup.py install --root="$pkgdir/" --optimize=1
   python3 setup.py install --root="$pkgdir/" --optimize=1
}

11
Pacchetti / Thunderbird 38.7.2 non funziona la ricerca indicizzata
« il: 05 Aprile 2016 ore 18:50 »
Dopo l'aggiornamento di oggi ho qualche problema con thunderbird.
Innanzitutto non funziona la ricerca indicizzata. Ho anche rimosso ilo file di indice ma si crea a dimensione nulla.

Ha poi strani artefatti grafici, ma niente di che.

Ho aperto il task sul bugtraker, ma se qualcuno mi da un feedback magari capiamo cos'è...

https://chakraos.org/bugtracker/index.php?do=details&task_id=1507&project=10

12
Chakra Testing / Urban Terror errore openGL
« il: 31 Gennaio 2016 ore 11:42 »
ciao a tutti.

stamattina dopo qualche settimana che non lo aprivo ho provato a lanciare UrT.
Prendo un errore su openGL, sembra strano perchè mi sembra tutto in ordine con i driver. Non va ne con invidia ne con primusrun.

Ottengo sempre:
Codice: [Seleziona]
----- R_Init -----
...loading libGL.so.1:
Calling SDL_Init(SDL_INIT_VIDEO)...
SDL_Init(SDL_INIT_VIDEO) passed.
QGL_Init: Can't load libGL.so.1 from /etc/ld.so.conf or current dir: No dynamic GL support in video driver
failed

Ieri ho usato altri giochi di steam senza probemi.

Ora ho lanciato l'updater du UrT, sta scaricando molta roba, ma ho dei dubbi che risolva qualcosa.

13
PKGBUILD / Aiuto compilazione edytornc - Qt5 / QtCreator
« il: 28 Gennaio 2016 ore 08:59 »
Salve gente,

ieri sera ho provato a compilare senza successo il sorgente della versione beta di edytornc (scaricabile da http://sourceforge.net/p/edytornc/code/HEAD/tree).

Secondo le istruzioni (http://sourceforge.net/p/edytornc/code/HEAD/tree/ReadMe#l76) una volta scaricato lo snapshot e installate le dipendenze, è sufficiente dare qmake-make per avere i binari compilati.

Peccato che ho un errore di compilazione che non riesco a risolvre (e, sinceramente, non so neanche se il codice sia ancora multipiattaforma).

Qualcuno può aiutarmi?
Codice: [Seleziona]
$ make
cd src/ && ( test -e Makefile || /usr/bin/qmake-qt5 /media/dati2/Downloads/edytornc-code-152/src/src.pro -o Makefile ) && make -f Makefile
make[1]: ingresso nella directory "/media/dati2/Downloads/edytornc-code-152/src"
g++ -c -pipe -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -g -fvar-tracking-assignments -D_REENTRANT -Wall -W -D__linux__ -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include -I. -Ibuild/moc -I. -o build/obj/edytornc.o edytornc.cpp
In file included from edytornc.h:31:0,
                 from edytornc.cpp:23:
mdichild.h:26:21: fatal error: QtWidgets: File o directory non esistente
compilation terminated.
Makefile:723: set di istruzioni per l'obiettivo "build/obj/edytornc.o" non riuscito
make[1]: *** [build/obj/edytornc.o] Errore 1
make[1]: uscita dalla directory "/media/dati2/Downloads/edytornc-code-152/src"
Makefile:43: set di istruzioni per l'obiettivo "sub-src-src-pro-make_first" non riuscito
make: *** [sub-src-src-pro-make_first] Errore 2

Dove cavolo si trova questo QtWidgets!?!?
Ho provato ad aprire anche il progetto in QtCreator ma ho lo stesso errore.

14
Chakra Testing / Aggiornamento gruppo multimedia
« il: 25 Gennaio 2016 ore 14:23 »
Se siete in testing attenzione che l'aggiornamento attuale non è completissimo.

Al momento mi ha scassato mlt (kdenilve) e thunderbird (libxul).

Ho segnalato, vediamo se aggiustano prima possibile.

15
Salve a tutti.
Dal passaggio a plasma l'icona di notifica del volume (li rettangolone che compare al centro del video) è fastidiosissima, specie quando si guarda un video in finestra.

Leggevo che c'è un bug aperto su plasma-pa https://bugs.kde.org/show_bug.cgi?id=352727 dicendo che non è configurabile (basterebbe poter scegliere la posizione) ma... ho rimosso plasma-pa, installato kmix, riavviato e la notifica è sempre la stessa!

Qualcuno di voi sa come migliorare questa cosa?

Pagine: [1] 2 3 ... 11
Template by Homey | Sito ufficiale | Disclaimer